Differences

This shows you the differences between two versions of the page.

Link to this comparison view

sep:internal:mac [2009/05/08 09:45]
mohammad
sep:internal:mac [2015/05/27 02:06]
Line 1: Line 1:
-====== MAC SETUP ====== 
- 
-==== Dual Screen ==== 
-To set up your second screen you will need an either [[http://store.apple.com/us/product/M9321G/B?fnode=MTY1NDA3Ng&mco=MTUzNTQ|Apple Mini-DVI to DVI Adapter]] or [[http://store.apple.com/us/product/M9320G/A?fnode=MTY1NDA3Ng&mco=Mjc2MTc|Apple Mini-DVI to VGA Adapter]] based on the input of your second screen. 
- \\ 
- 
-==== Add Printers ==== 
-To add network printers, there are to alternative methods. Go to ''System Preferences >> Printer & Fax''. You can find  printers (such as //gpcolor//, //sephp//) in default printer list. For //gp4hlj// use the IP with Line Printer Daemon(LPD) protocol. To find out printer IPs, type ''ping gp4thlj.stanford.edu'' in terminal.  
- 
-  * **GP4THLJ**: HP LaserJet 2300dn 
-  * **GPCOLOR**: Xerox Phaser 8400 
-  * **SEPHP**: 
-\\ \\ 
-===== Suggested Softwares/Packages ===== 
-  * **Apple Xcode**: This will facilitate the installation of many compilers and programming languages. It is highly recommended. Get it from [[http://developer.apple.com/technology/xcode.html|here]] 
-  * **MacFusion** Mount Servers in your finder: Get it from [[http://www.macfusionapp.org|here]] (You need to also install **Macfuse** code from [[http://code.google.com/p/macfuse/ | google codes]])    
- 
-  * **MacTex** (An alternative to Tetex distribution): Get it from [[http://www.tug.org/mactex/|here]] 
- 
-  * **Aquamacs** (GUI Emacs editor): Get it from [[http://aquamacs.org|here]] 
- 
-  * **Latexit**: It allows typesetting Latex equations and use them in slides and elsewhere. Get it from [[http://ktd.club.fr/programmation/latexit_en.php|here]] 
- 
-  * **Fink** Package Manager: Install [[http://www.finkproject.org/download/index.php?phpLang=en|Fink Binary Installer (Intel)]] and [[http://finkcommander.sourceforge.net/|Fink commander]] (Fink GUI). From Fink Commander try to install following packages: \\ 
-        * After installing Fink, you need to enable the "use unstable packages" option from fink commander preferences. Then you need to run ''fink selfupdate'' from Unix terminal. Then, try to install gcc packages. After that, try to run ''fink selfupdate'' again. After this step, you should be able to list most of common packages we need as scons, python sub-packages, and etc. 
-        - **svn** 
-        - **Python** 
-        - **gimp2** : GNU Image Manipulation Program 
-        - **tetex** (macos bundle) 
-        - **tex-beamer** (making slide presentations from Tex) 
-        - **Subversion:** Subversion, also known as svn, is a version control system much like the Concurrent Versions System (CVS). Use Synaptic package manager to install it. 
-        - **Scons:** SCons is a make replacement providing a range of enhanced features such as automated dependency generation and built in compilation cache support.  Use Synaptic package manager to install it. 
-        - **Python sub-packages:**  If you are using python you might find the following list of packages useful. 
-           * **ipython**: Enhanced interactive Python shell. 
-           * **numpy**  : Numerical Python adds a fast array facility to the Python language. 
-           * **scipy**  : Scientific tools for Python. 
-           * **matplotlib** : pure Python plotting library designed to bring publication quality plotting to Python. \\ 
- 
- 
- 
-  * **TextWrangler** TextWrangler is the powerful general purpose text editor, and Unix and server administrator’s tool. Get it from [[http://www.barebones.com/products/textwrangler/download.html|here]] 
- 
-  * **Quick Silver** (Quick access to everything on your mac): Get it from [[http://www.macupdate.com/info.php/id/14831 |here]] 
- 
-  * **Eclipse** (IDE): Eclipse is a powerful programming environment which suitable for different programming languages. Get it from [[http://www.eclipse.org |here]] 
- 
- 
- 
- 
-\\ 
- 
-==== Firefox Plugins/Addons ==== 
-  - Adobe Acrobate Reader 
-  - Sun Java: Install sun-java. 
-  - Adobe Flash Player: The first time you visit a website which includes flash contents you will be asked by firefox to install flash plugin. The Adobe Flash plugin suggested by firefox should resolve the issue. 
-\\ \\ 
  
sep/internal/mac.txt · Last modified: 2015/05/27 02:06 (external edit)
CC Attribution-Share Alike 4.0 International
Driven by DokuWiki Recent changes RSS feed Valid CSS Valid XHTML 1.0